API Direct
Endpoints
Reddit Comments

Reddit Comments

GET /v1/reddit/comments

Search Reddit comments by keyword, optionally in one subreddit. Returns comment content, the comment, post and parent IDs, links to the comment and its post, subreddit, author, and publication date for each result. Supports fetching multiple pages of results in a single API call.

Cost
$0.003 per page
Free tier
50 requests/month

Parameters

query *
Search keyword (max 500 characters)
pages
Number of pages to fetch, 1-10 (default: 1)
sort_by
Sort order: most_recent, relevance, or top (default: most_recent)
subreddit
Only comments from this subreddit, with or without r/ (e.g. Python)
get_sentiment
Set to true to add AI emotion analysis (+$0.001/page)

Example Request

curl "https://apidirect.io/v1/reddit/comments?query=python&pages=2&sort_by=relevance" \
  -H "X-API-Key: YOUR_API_KEY"

Example Response

{
  "posts": [
    {
      "comment_id": "pfewxa0",
      "post_id": "1x3wfr5",
      "parent_id": "1x3wfr5",
      "comment_url": "https://www.reddit.com/r/TopCharacterTropes/comments/1x3wfr5/comment/pfewxa0/",
      "title": "practicalcabinet on TopCharacterTropes",
      "url": "https://www.reddit.com/gallery/1x3wfr5",
      "date": "2026-10-12 09:25:33",
      "author": "practicalcabinet",
      "source": "Reddit (Comment)",
      "domain": "reddit.com",
      "subreddit": "TopCharacterTropes",
      "snippet": "The Killer Rabbit of Caerbannog, from *Monty Python and the Holy Grail*, was actually played by a more common non-killer rabbit.\n\n![img](et5lcv7t80vh1)",
      "type": "comment",
      "upvotes": 2461,
      "post_upvotes": 12473,
      "post_comments": 1625,
      "sentiment": {
        "emotions": {
          "joy": 40,
          "trust": 55,
          "fear": 0,
          "surprise": 10,
          "sadness": 0,
          "disgust": 0,
          "anger": 0,
          "anticipation": 30
        },
        "dominant_emotion": "trust",
        "emotional_intensity": 5,
        "polarity": "positive"
      }
    }
  ],
  "pages": 2,
  "count": 44
}

Your Usage

Free tier this month
Loading...
Recent Activity